<?xml version="1.0" encoding="utf-8"?>
<?taxonomy-generator id="PomdocPro" version="2021.1.1.1" date="2026-03-27 14:56:14"?>
<linkbase 
  xml:lang="en"
  xmlns="http://www.xbrl.org/2003/linkbase"
  xmlns:xlink="http://www.w3.org/1999/xlink"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd"
>
  <roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel"/>
  <roleRef roleURI="http://www.xbrl.org/2009/role/negatedTotalLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTotalLabel"/>
  <roleRef roleURI="http://www.xbrl.org/2009/role/netLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel"/>
  <roleRef roleURI="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTerseLabel"/>
  <roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodEndLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodEndLabel"/>
  <roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodStartLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodStartLabel"/>
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">
  <loc
    xlink:type="locator"
    xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherCashPaymentsToAcquireEquityOrDebtInstrumentsOfOtherEntitiesClassifiedAsInvestingActivities"
    xlink:label="ifrs-full_OtherCashPaymentsToAcquireEquityOrDebtInstrumentsOfOtherEntitiesClassifiedAsInvestingActivities"
  />
  <loc
    xlink:type="locator"
    xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_IncreaseInNumberOfOrdinarySharesIssued"
    xlink:label="tot_IncreaseInNumberOfOrdinarySharesIssued"
  />
  <loc
    xlink:type="locator"
    xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_AdjustmentsForDividendsAndUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod"
    xlink:label="tot_AdjustmentsForDividendsAndUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod"
  />
  <loc
    xlink:type="locator"
    xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_Excisetax"
    xlink:label="tot_Excisetax"
  />
  <loc
    xlink:type="locator"
    xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_NumberOfTreasurySharesPurchased"
    xlink:label="tot_NumberOfTreasurySharesPurchased"
  />
  <loc
    xlink:type="locator"
    xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_FinanceIncomeCostCashAndCashEquivalents"
    xlink:label="tot_FinanceIncomeCostCashAndCashEquivalents"
  />
  <loc
    xlink:type="locator"
    xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_DecreaseThroughPaymentsOnPerpetualSubordinatedNotes"
    xlink:label="tot_DecreaseThroughPaymentsOnPerpetualSubordinatedNotes"
  />
  <loc
    xlink:type="locator"
    xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities"
    xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities"
  />
  <loc
    xlink:type="locator"
    xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_CostOfDebtNet"
    xlink:label="tot_CostOfDebtNet"
  />
  <loc
    xlink:type="locator"
    xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_SharePremiumAndRetainedEarnings"
    xlink:label="tot_SharePremiumAndRetainedEarnings"
  />
  <loc
    xlink:type="locator"
    xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities"
    xlink:label="ifrs-full_DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities"
  />
  <loc
    xlink:type="locator"
    xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_ProceedsFromPaymentsForOtherTransactionsWithNoncontrollingInterests"
    xlink:label="tot_ProceedsFromPaymentsForOtherTransactionsWithNoncontrollingInterests"
  />
  <loc
    xlink:type="locator"
    xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_ProceedsFromIssueRepaymentOfSubordinatedNotes"
    xlink:label="tot_ProceedsFromIssueRepaymentOfSubordinatedNotes"
  />
  <loc
    xlink:type="locator"
    xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_ProceedsFromRepaymentsOfNonCurrentBorrowings"
    xlink:label="tot_ProceedsFromRepaymentsOfNonCurrentBorrowings"
  />
  <loc
    xlink:type="locator"
    xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations"
    xlink:label="ifrs-full_IncomeTaxExpenseContinuingOperations"
  />
  <loc
    xlink:type="locator"
    xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_CashFlowsFromUsedInIncreaseDecreaseInCurrentFinancialAssetsAndLiabilities"
    xlink:label="tot_CashFlowsFromUsedInIncreaseDecreaseInCurrentFinancialAssetsAndLiabilities"
  />
  <loc
    xlink:type="locator"
    xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_IncreaseDecreaseThroughIssuanceOfPerpetualSubordinatedNotesEquity"
    xlink:label="tot_IncreaseDecreaseThroughIssuanceOfPerpetualSubordinatedNotesEquity"
  />
  <loc
    xlink:type="locator"
    xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_NumberOfTreasurySharesCancelled"
    xlink:label="tot_NumberOfTreasurySharesCancelled"
  />
  <loc
    xlink:type="locator"
    xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_OtherCurrentPayablesAccruedExpensesAndOtherCurrentLiabilities"
    xlink:label="tot_OtherCurrentPayablesAccruedExpensesAndOtherCurrentLiabilities"
  />
  <loc
    xlink:type="locator"
    xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities"
    xlink:label="ifrs-full_CashAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities"
  />
  <loc
    xlink:type="locator"
    xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities"
    xlink:label="ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities"
  />
  <loc
    xlink:type="locator"
    xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities"
    xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities"
  />
  <loc
    xlink:type="locator"
    xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_InterestExpenseNetOfHedgeInEffectiveness"
    xlink:label="tot_InterestExpenseNetOfHedgeInEffectiveness"
  />
  <loc
    xlink:type="locator"
    xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_OtherProvisionsAndNoncurrentLiabilities"
    xlink:label="tot_OtherProvisionsAndNoncurrentLiabilities"
  />
  <loc
    xlink:type="locator"
    xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_MiscellaneousOtherOperatingExpense"
    xlink:label="ifrs-full_MiscellaneousOtherOperatingExpense"
  />
  <loc
    xlink:type="locator"
    xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_PurchasesNetOfInventoryVariation"
    xlink:label="tot_PurchasesNetOfInventoryVariation"
  />
  <loc
    xlink:type="locator"
    xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseInWorkingCapital"
    xlink:label="ifrs-full_IncreaseDecreaseInWorkingCapital"
  />
  <loc
    xlink:type="locator"
    xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PurchaseOfTreasuryShares"
    xlink:label="ifrs-full_PurchaseOfTreasuryShares"
  />
  <loc
    xlink:type="locator"
    xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_NumberOfTreasurySharesSold"
    xlink:label="tot_NumberOfTreasurySharesSold"
  />
  <loc
    xlink:type="locator"
    xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_PaymentForCouponsOnSubordinatedNotes"
    xlink:label="tot_PaymentForCouponsOnSubordinatedNotes"
  />
  <loc
    xlink:type="locator"
    xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssets"
    xlink:label="tot_PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssets"
  />
  <loc
    xlink:type="locator"
    xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss"
    xlink:label="ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss"
  />
  <loc
    xlink:type="locator"
    xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges"
    xlink:label="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges"
  />
  <loc
    xlink:type="locator"
    xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss"
    xlink:label="ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss"
  />
  <loc
    xlink:type="locator"
    xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_AdjustmentsForProvisionsAndDeferredTaxExpense"
    xlink:label="tot_AdjustmentsForProvisionsAndDeferredTaxExpense"
  />
  <loc
    xlink:type="locator"
    xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities"
    xlink:label="ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities"
  />
  <loc
    xlink:type="locator"
    xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_RevenueFromContractsWithCustomersExcludingExciseTax"
    xlink:label="tot_RevenueFromContractsWithCustomersExcludingExciseTax"
  />
  <loc
    xlink:type="locator"
    xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NumberOfSharesIssued"
    xlink:label="ifrs-full_NumberOfSharesIssued"
  />
  <loc
    xlink:type="locator"
    xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_InvestmentsAccountedForUsingEquityMethodAndLoansToEquityAffiliates"
    xlink:label="tot_InvestmentsAccountedForUsingEquityMethodAndLoansToEquityAffiliates"
  />
  <loc
    xlink:type="locator"
    xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_SharePremiumAndRetainedEarningsMember"
    xlink:label="tot_SharePremiumAndRetainedEarningsMember"
  />
  <loc
    xlink:type="locator"
    xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_InflowsOfCashFromInvestingActivities"
    xlink:label="ifrs-full_InflowsOfCashFromInvestingActivities"
  />
  <loc
    xlink:type="locator"
    xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ExpenseArisingFromExplorationForAndEvaluationOfMineralResources"
    xlink:label="ifrs-full_ExpenseArisingFromExplorationForAndEvaluationOfMineralResources"
  />
  <loc
    xlink:type="locator"
    xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities"
    xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities"
  />
  <loc
    xlink:type="locator"
    xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossTangibleAssetsAndMineralInterests"
    xlink:label="tot_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossTangibleAssetsAndMineralInterests"
  />
  <loc
    xlink:type="locator"
    xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssets"
    xlink:label="tot_ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssets"
  />
  <loc
    xlink:type="locator"
    xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherFinanceCost"
    xlink:label="ifrs-full_OtherFinanceCost"
  />
  <loc
    xlink:type="locator"
    xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OutflowsOfCashFromInvestingActivities"
    xlink:label="ifrs-full_OutflowsOfCashFromInvestingActivities"
  />
  <loc
    xlink:type="locator"
    xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_OtherNonCurrentFinancialAssetsExcludingLoansAdvancesAndOtherOperationalFinancialAssets"
    xlink:label="tot_OtherNonCurrentFinancialAssetsExcludingLoansAdvancesAndOtherOperationalFinancialAssets"
  />
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ifrs-full_OtherCashPaymentsToAcquireEquityOrDebtInstrumentsOfOtherEntitiesClassifiedAsInvestingActivities"
    xlink:to="ifrs-full_OtherCashPaymentsToAcquireEquityOrDebtInstrumentsOfOtherEntitiesClassifiedAsInvestingActivities_negatedLabel_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ifrs-full_OtherCashPaymentsToAcquireEquityOrDebtInstrumentsOfOtherEntitiesClassifiedAsInvestingActivities_negatedLabel_en"
    xlink:role="http://www.xbrl.org/2009/role/negatedLabel"
    xml:lang="en"
  >Other cash payments to acquire equity or debt instruments of other entities, classified as investing activities</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_IncreaseInNumberOfOrdinarySharesIssued"
    xlink:to="tot_IncreaseInNumberOfOrdinarySharesIssued_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_IncreaseInNumberOfOrdinarySharesIssued_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Increase In Number Of Ordinary Shares Issued</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_AdjustmentsForDividendsAndUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod"
    xlink:to="tot_AdjustmentsForDividendsAndUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod_documentation_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_AdjustmentsForDividendsAndUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod_documentation_en"
    xlink:role="http://www.xbrl.org/2003/role/documentation"
    xml:lang="en"
  >Adjustments for dividends and undistributed profits of investments accounted for using equity method.</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_Excisetax"
    xlink:to="tot_Excisetax_documentation_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_Excisetax_documentation_en"
    xlink:role="http://www.xbrl.org/2003/role/documentation"
    xml:lang="en"
  >Excise tax.</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_NumberOfTreasurySharesPurchased"
    xlink:to="tot_NumberOfTreasurySharesPurchased_negatedLabel_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_NumberOfTreasurySharesPurchased_negatedLabel_en"
    xlink:role="http://www.xbrl.org/2009/role/negatedLabel"
    xml:lang="en"
  >Number Of Treasury Shares Purchased</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_FinanceIncomeCostCashAndCashEquivalents"
    xlink:to="tot_FinanceIncomeCostCashAndCashEquivalents_documentation_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_FinanceIncomeCostCashAndCashEquivalents_documentation_en"
    xlink:role="http://www.xbrl.org/2003/role/documentation"
    xml:lang="en"
  >Finance income cost cash and cash equivalents.</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_DecreaseThroughPaymentsOnPerpetualSubordinatedNotes"
    xlink:to="tot_DecreaseThroughPaymentsOnPerpetualSubordinatedNotes_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_DecreaseThroughPaymentsOnPerpetualSubordinatedNotes_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Decrease Through Payments On Perpetual Subordinated Notes</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities"
    xlink:to="ifrs-full_CashFlowsFromUsedInOperatingActivities_totalLabel_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities_totalLabel_en"
    xlink:role="http://www.xbrl.org/2003/role/totalLabel"
    xml:lang="en"
  >Cash flows from (used in) operating activities</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_CostOfDebtNet"
    xlink:to="tot_CostOfDebtNet_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_CostOfDebtNet_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Cost Of Debt Net</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_SharePremiumAndRetainedEarnings"
    xlink:to="tot_SharePremiumAndRetainedEarnings_documentation_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_SharePremiumAndRetainedEarnings_documentation_en"
    xlink:role="http://www.xbrl.org/2003/role/documentation"
    xml:lang="en"
  >Share premium and retained earnings.</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_Excisetax"
    xlink:to="tot_Excisetax_negatedLabel_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_Excisetax_negatedLabel_en"
    xlink:role="http://www.xbrl.org/2009/role/negatedLabel"
    xml:lang="en"
  >Excise Tax</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ifrs-full_DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities"
    xlink:to="ifrs-full_DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities_negatedLabel_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ifrs-full_DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities_negatedLabel_en"
    xlink:role="http://www.xbrl.org/2009/role/negatedLabel"
    xml:lang="en"
  >Dividends paid to equity holders of parent, classified as financing activities</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_ProceedsFromPaymentsForOtherTransactionsWithNoncontrollingInterests"
    xlink:to="tot_ProceedsFromPaymentsForOtherTransactionsWithNoncontrollingInterests_documentation_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_ProceedsFromPaymentsForOtherTransactionsWithNoncontrollingInterests_documentation_en"
    xlink:role="http://www.xbrl.org/2003/role/documentation"
    xml:lang="en"
  >Proceeds from payments for other transactions with noncontrolling interests.</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_ProceedsFromIssueRepaymentOfSubordinatedNotes"
    xlink:to="tot_ProceedsFromIssueRepaymentOfSubordinatedNotes_documentation_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_ProceedsFromIssueRepaymentOfSubordinatedNotes_documentation_en"
    xlink:role="http://www.xbrl.org/2003/role/documentation"
    xml:lang="en"
  >Proceeds from issue repayment of subordinated notes.</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_ProceedsFromRepaymentsOfNonCurrentBorrowings"
    xlink:to="tot_ProceedsFromRepaymentsOfNonCurrentBorrowings_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_ProceedsFromRepaymentsOfNonCurrentBorrowings_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Proceeds From Repayments Of Non Current Borrowings</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ifrs-full_IncomeTaxExpenseContinuingOperations"
    xlink:to="ifrs-full_IncomeTaxExpenseContinuingOperations_negatedLabel_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ifrs-full_IncomeTaxExpenseContinuingOperations_negatedLabel_en"
    xlink:role="http://www.xbrl.org/2009/role/negatedLabel"
    xml:lang="en"
  >Tax expense (income)</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_AdjustmentsForDividendsAndUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod"
    xlink:to="tot_AdjustmentsForDividendsAndUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_AdjustmentsForDividendsAndUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Adjustments For Dividends And Undistributed Profits Of Investments Accounted For Using Equity Method</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_ProceedsFromPaymentsForOtherTransactionsWithNoncontrollingInterests"
    xlink:to="tot_ProceedsFromPaymentsForOtherTransactionsWithNoncontrollingInterests_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_ProceedsFromPaymentsForOtherTransactionsWithNoncontrollingInterests_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Proceeds From Payments For Other Transactions With Noncontrolling Interests</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_CashFlowsFromUsedInIncreaseDecreaseInCurrentFinancialAssetsAndLiabilities"
    xlink:to="tot_CashFlowsFromUsedInIncreaseDecreaseInCurrentFinancialAssetsAndLiabilities_documentation_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_CashFlowsFromUsedInIncreaseDecreaseInCurrentFinancialAssetsAndLiabilities_documentation_en"
    xlink:role="http://www.xbrl.org/2003/role/documentation"
    xml:lang="en"
  >Cash flows from used in increase decrease in current financial assets and liabilities.</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_NumberOfTreasurySharesPurchased"
    xlink:to="tot_NumberOfTreasurySharesPurchased_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_NumberOfTreasurySharesPurchased_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Number Of Treasury Shares Purchased</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_FinanceIncomeCostCashAndCashEquivalents"
    xlink:to="tot_FinanceIncomeCostCashAndCashEquivalents_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_FinanceIncomeCostCashAndCashEquivalents_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Finance Income Cost Cash And Cash Equivalents</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_IncreaseDecreaseThroughIssuanceOfPerpetualSubordinatedNotesEquity"
    xlink:to="tot_IncreaseDecreaseThroughIssuanceOfPerpetualSubordinatedNotesEquity_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_IncreaseDecreaseThroughIssuanceOfPerpetualSubordinatedNotesEquity_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Increase Decrease Through Issuance Of Perpetual Subordinated Notes Equity</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_NumberOfTreasurySharesCancelled"
    xlink:to="tot_NumberOfTreasurySharesCancelled_documentation_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_NumberOfTreasurySharesCancelled_documentation_en"
    xlink:role="http://www.xbrl.org/2003/role/documentation"
    xml:lang="en"
  >Number of treasury shares cancelled.</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_OtherCurrentPayablesAccruedExpensesAndOtherCurrentLiabilities"
    xlink:to="tot_OtherCurrentPayablesAccruedExpensesAndOtherCurrentLiabilities_documentation_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_OtherCurrentPayablesAccruedExpensesAndOtherCurrentLiabilities_documentation_en"
    xlink:role="http://www.xbrl.org/2003/role/documentation"
    xml:lang="en"
  >Other current payables accrued expenses and other current liabilities.</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_OtherCurrentPayablesAccruedExpensesAndOtherCurrentLiabilities"
    xlink:to="tot_OtherCurrentPayablesAccruedExpensesAndOtherCurrentLiabilities_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_OtherCurrentPayablesAccruedExpensesAndOtherCurrentLiabilities_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Other Current Payables Accrued Expenses And Other Current Liabilities</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_Excisetax"
    xlink:to="tot_Excisetax_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_Excisetax_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >ExciseTax</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ifrs-full_CashAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities"
    xlink:to="ifrs-full_CashAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities_negatedLabel_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ifrs-full_CashAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities_negatedLabel_en"
    xlink:role="http://www.xbrl.org/2009/role/negatedLabel"
    xml:lang="en"
  >Cash advances and loans made to other parties, classified as investing activities</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities"
    xlink:to="ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities_negatedLabel_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities_negatedLabel_en"
    xlink:role="http://www.xbrl.org/2009/role/negatedLabel"
    xml:lang="en"
  >Dividends paid to non-controlling interests, classified as financing activities</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_NumberOfTreasurySharesPurchased"
    xlink:to="tot_NumberOfTreasurySharesPurchased_documentation_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_NumberOfTreasurySharesPurchased_documentation_en"
    xlink:role="http://www.xbrl.org/2003/role/documentation"
    xml:lang="en"
  >Number of treasury shares purchased.</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities"
    xlink:to="ifrs-full_CashFlowsFromUsedInInvestingActivities_totalLabel_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities_totalLabel_en"
    xlink:role="http://www.xbrl.org/2003/role/totalLabel"
    xml:lang="en"
  >Cash flows from (used in) investing activities</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_InterestExpenseNetOfHedgeInEffectiveness"
    xlink:to="tot_InterestExpenseNetOfHedgeInEffectiveness_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_InterestExpenseNetOfHedgeInEffectiveness_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Interest Expense Net Of Hedge In Effectiveness</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_OtherProvisionsAndNoncurrentLiabilities"
    xlink:to="tot_OtherProvisionsAndNoncurrentLiabilities_documentation_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_OtherProvisionsAndNoncurrentLiabilities_documentation_en"
    xlink:role="http://www.xbrl.org/2003/role/documentation"
    xml:lang="en"
  >Other provisions and noncurrent liabilities.</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ifrs-full_MiscellaneousOtherOperatingExpense"
    xlink:to="ifrs-full_MiscellaneousOtherOperatingExpense_negatedLabel_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ifrs-full_MiscellaneousOtherOperatingExpense_negatedLabel_en"
    xlink:role="http://www.xbrl.org/2009/role/negatedLabel"
    xml:lang="en"
  >Miscellaneous other operating expense</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_PurchasesNetOfInventoryVariation"
    xlink:to="tot_PurchasesNetOfInventoryVariation_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_PurchasesNetOfInventoryVariation_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Purchases Net Of Inventory Variation</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_AdjustmentsForDividendsAndUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod"
    xlink:to="tot_AdjustmentsForDividendsAndUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod_negatedLabel_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_AdjustmentsForDividendsAndUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod_negatedLabel_en"
    xlink:role="http://www.xbrl.org/2009/role/negatedLabel"
    xml:lang="en"
  >Adjustments For Dividends And Undistributed Profits Of Investments Accounted For Using Equity Method</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_DecreaseThroughPaymentsOnPerpetualSubordinatedNotes"
    xlink:to="tot_DecreaseThroughPaymentsOnPerpetualSubordinatedNotes_documentation_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_DecreaseThroughPaymentsOnPerpetualSubordinatedNotes_documentation_en"
    xlink:role="http://www.xbrl.org/2003/role/documentation"
    xml:lang="en"
  >Decrease through payments on perpetual subordinated notes.</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ifrs-full_IncreaseDecreaseInWorkingCapital"
    xlink:to="ifrs-full_IncreaseDecreaseInWorkingCapital_negatedLabel_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ifrs-full_IncreaseDecreaseInWorkingCapital_negatedLabel_en"
    xlink:role="http://www.xbrl.org/2009/role/negatedLabel"
    xml:lang="en"
  >Increase (decrease) in working capital</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ifrs-full_PurchaseOfTreasuryShares"
    xlink:to="ifrs-full_PurchaseOfTreasuryShares_negatedLabel_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ifrs-full_PurchaseOfTreasuryShares_negatedLabel_en"
    xlink:role="http://www.xbrl.org/2009/role/negatedLabel"
    xml:lang="en"
  >Purchase of treasury shares</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_NumberOfTreasurySharesSold"
    xlink:to="tot_NumberOfTreasurySharesSold_documentation_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_NumberOfTreasurySharesSold_documentation_en"
    xlink:role="http://www.xbrl.org/2003/role/documentation"
    xml:lang="en"
  >Number of treasury shares sold.</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_PaymentForCouponsOnSubordinatedNotes"
    xlink:to="tot_PaymentForCouponsOnSubordinatedNotes_negatedLabel_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_PaymentForCouponsOnSubordinatedNotes_negatedLabel_en"
    xlink:role="http://www.xbrl.org/2009/role/negatedLabel"
    xml:lang="en"
  >Payment For Coupons On Subordinated Notes</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssets"
    xlink:to="tot_PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssets_negatedLabel_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssets_negatedLabel_en"
    xlink:role="http://www.xbrl.org/2009/role/negatedLabel"
    xml:lang="en"
  >Purchase Of Property Plant And Equipment And Intangible Assets</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss"
    xlink:to="ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss_negatedLabel_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss_negatedLabel_en"
    xlink:role="http://www.xbrl.org/2009/role/negatedLabel"
    xml:lang="en"
  >Income tax relating to components of other comprehensive income that will not be reclassified to profit or loss</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges"
    xlink:to="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_totalLabel_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_totalLabel_en"
    xlink:role="http://www.xbrl.org/2003/role/totalLabel"
    xml:lang="en"
  >Increase (decrease) in cash and cash equivalents before effect of exchange rate changes</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss"
    xlink:to="ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss_negatedLabel_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss_negatedLabel_en"
    xlink:role="http://www.xbrl.org/2009/role/negatedLabel"
    xml:lang="en"
  >Income tax relating to components of other comprehensive income that will be reclassified to profit or loss</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_AdjustmentsForProvisionsAndDeferredTaxExpense"
    xlink:to="tot_AdjustmentsForProvisionsAndDeferredTaxExpense_documentation_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_AdjustmentsForProvisionsAndDeferredTaxExpense_documentation_en"
    xlink:role="http://www.xbrl.org/2003/role/documentation"
    xml:lang="en"
  >Adjustments for provisions and deferred tax expense.</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_CashFlowsFromUsedInIncreaseDecreaseInCurrentFinancialAssetsAndLiabilities"
    xlink:to="tot_CashFlowsFromUsedInIncreaseDecreaseInCurrentFinancialAssetsAndLiabilities_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_CashFlowsFromUsedInIncreaseDecreaseInCurrentFinancialAssetsAndLiabilities_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Cash Flows From Used In Increase Decrease In Current Financial Assets And Liabilities</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities"
    xlink:to="ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities_negatedLabel_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities_negatedLabel_en"
    xlink:role="http://www.xbrl.org/2009/role/negatedLabel"
    xml:lang="en"
  >Cash flows used in obtaining control of subsidiaries or other businesses, classified as investing activities</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssets"
    xlink:to="tot_PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssets_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssets_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Purchase Of Property Plant And Equipment And Intangible Assets</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_RevenueFromContractsWithCustomersExcludingExciseTax"
    xlink:to="tot_RevenueFromContractsWithCustomersExcludingExciseTax_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_RevenueFromContractsWithCustomersExcludingExciseTax_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Revenue From Contracts With Customers Excluding Excise Tax</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ifrs-full_NumberOfSharesIssued"
    xlink:to="ifrs-full_NumberOfSharesIssued_periodStartLabel_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ifrs-full_NumberOfSharesIssued_periodStartLabel_en"
    xlink:role="http://www.xbrl.org/2003/role/periodStartLabel"
    xml:lang="en"
  >Number of shares issued</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_SharePremiumAndRetainedEarnings"
    xlink:to="tot_SharePremiumAndRetainedEarnings_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_SharePremiumAndRetainedEarnings_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Share Premium And Retained Earnings</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_InvestmentsAccountedForUsingEquityMethodAndLoansToEquityAffiliates"
    xlink:to="tot_InvestmentsAccountedForUsingEquityMethodAndLoansToEquityAffiliates_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_InvestmentsAccountedForUsingEquityMethodAndLoansToEquityAffiliates_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Investments Accounted For Using Equity Method And Loans To Equity Affiliates</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_NumberOfTreasurySharesCancelled"
    xlink:to="tot_NumberOfTreasurySharesCancelled_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_NumberOfTreasurySharesCancelled_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Number Of Treasury Shares Cancelled</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_SharePremiumAndRetainedEarningsMember"
    xlink:to="tot_SharePremiumAndRetainedEarningsMember_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_SharePremiumAndRetainedEarningsMember_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Share Premium And Retained Earnings [Member]</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_CostOfDebtNet"
    xlink:to="tot_CostOfDebtNet_documentation_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_CostOfDebtNet_documentation_en"
    xlink:role="http://www.xbrl.org/2003/role/documentation"
    xml:lang="en"
  >Cost of debt net.</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_InvestmentsAccountedForUsingEquityMethodAndLoansToEquityAffiliates"
    xlink:to="tot_InvestmentsAccountedForUsingEquityMethodAndLoansToEquityAffiliates_documentation_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_InvestmentsAccountedForUsingEquityMethodAndLoansToEquityAffiliates_documentation_en"
    xlink:role="http://www.xbrl.org/2003/role/documentation"
    xml:lang="en"
  >Investments accounted for using equity method and loans to equity affiliates.</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ifrs-full_InflowsOfCashFromInvestingActivities"
    xlink:to="ifrs-full_InflowsOfCashFromInvestingActivities_totalLabel_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ifrs-full_InflowsOfCashFromInvestingActivities_totalLabel_en"
    xlink:role="http://www.xbrl.org/2003/role/totalLabel"
    xml:lang="en"
  >Inflows of cash from investing activities</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_PurchasesNetOfInventoryVariation"
    xlink:to="tot_PurchasesNetOfInventoryVariation_documentation_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_PurchasesNetOfInventoryVariation_documentation_en"
    xlink:role="http://www.xbrl.org/2003/role/documentation"
    xml:lang="en"
  >Purchases Net Of Inventory Variation.</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ifrs-full_ExpenseArisingFromExplorationForAndEvaluationOfMineralResources"
    xlink:to="ifrs-full_ExpenseArisingFromExplorationForAndEvaluationOfMineralResources_negatedLabel_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ifrs-full_ExpenseArisingFromExplorationForAndEvaluationOfMineralResources_negatedLabel_en"
    xlink:role="http://www.xbrl.org/2009/role/negatedLabel"
    xml:lang="en"
  >Expense arising from exploration for and evaluation of mineral resources</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_ProceedsFromRepaymentsOfNonCurrentBorrowings"
    xlink:to="tot_ProceedsFromRepaymentsOfNonCurrentBorrowings_documentation_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_ProceedsFromRepaymentsOfNonCurrentBorrowings_documentation_en"
    xlink:role="http://www.xbrl.org/2003/role/documentation"
    xml:lang="en"
  >Proceeds from repayments of non current borrowings.</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities"
    xlink:to="ifrs-full_CashFlowsFromUsedInFinancingActivities_totalLabel_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities_totalLabel_en"
    xlink:role="http://www.xbrl.org/2003/role/totalLabel"
    xml:lang="en"
  >Cash flows from (used in) financing activities</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossTangibleAssetsAndMineralInterests"
    xlink:to="tot_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossTangibleAssetsAndMineralInterests_documentation_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossTangibleAssetsAndMineralInterests_documentation_en"
    xlink:role="http://www.xbrl.org/2003/role/documentation"
    xml:lang="en"
  >Depreciation amortisation and impairment loss reversal of impairment loss recognised in profit or loss tangible assets and mineral interests.</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssets"
    xlink:to="tot_ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssets_documentation_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssets_documentation_en"
    xlink:role="http://www.xbrl.org/2003/role/documentation"
    xml:lang="en"
  >Proceeds from sales of property plant and equipment and intangible assets.</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ifrs-full_OtherFinanceCost"
    xlink:to="ifrs-full_OtherFinanceCost_negatedLabel_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ifrs-full_OtherFinanceCost_negatedLabel_en"
    xlink:role="http://www.xbrl.org/2009/role/negatedLabel"
    xml:lang="en"
  >Other finance cost</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ifrs-full_OutflowsOfCashFromInvestingActivities"
    xlink:to="ifrs-full_OutflowsOfCashFromInvestingActivities_negatedTotalLabel_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ifrs-full_OutflowsOfCashFromInvestingActivities_negatedTotalLabel_en"
    xlink:role="http://www.xbrl.org/2009/role/negatedTotalLabel"
    xml:lang="en"
  >Outflows of cash from investing activities</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_OtherProvisionsAndNoncurrentLiabilities"
    xlink:to="tot_OtherProvisionsAndNoncurrentLiabilities_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_OtherProvisionsAndNoncurrentLiabilities_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Other Provisions And Noncurrent Liabilities</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_RevenueFromContractsWithCustomersExcludingExciseTax"
    xlink:to="tot_RevenueFromContractsWithCustomersExcludingExciseTax_totalLabel_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_RevenueFromContractsWithCustomersExcludingExciseTax_totalLabel_en"
    xlink:role="http://www.xbrl.org/2003/role/totalLabel"
    xml:lang="en"
  >Revenue From Contracts With Customers Excluding Excise Tax</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_PaymentForCouponsOnSubordinatedNotes"
    xlink:to="tot_PaymentForCouponsOnSubordinatedNotes_documentation_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_PaymentForCouponsOnSubordinatedNotes_documentation_en"
    xlink:role="http://www.xbrl.org/2003/role/documentation"
    xml:lang="en"
  >Payment for coupons on subordinated notes.</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_ProceedsFromIssueRepaymentOfSubordinatedNotes"
    xlink:to="tot_ProceedsFromIssueRepaymentOfSubordinatedNotes_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_ProceedsFromIssueRepaymentOfSubordinatedNotes_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Proceeds From Issue Repayment Of Subordinated Notes</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_SharePremiumAndRetainedEarningsMember"
    xlink:to="tot_SharePremiumAndRetainedEarningsMember_documentation_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_SharePremiumAndRetainedEarningsMember_documentation_en"
    xlink:role="http://www.xbrl.org/2003/role/documentation"
    xml:lang="en"
  >Share premium and retained earnings [member].</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossTangibleAssetsAndMineralInterests"
    xlink:to="tot_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossTangibleAssetsAndMineralInterests_negatedLabel_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossTangibleAssetsAndMineralInterests_negatedLabel_en"
    xlink:role="http://www.xbrl.org/2009/role/negatedLabel"
    xml:lang="en"
  >Depreciation Depletion and Impairment Of Tangible Assets And Mineral Interests</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_RevenueFromContractsWithCustomersExcludingExciseTax"
    xlink:to="tot_RevenueFromContractsWithCustomersExcludingExciseTax_documentation_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_RevenueFromContractsWithCustomersExcludingExciseTax_documentation_en"
    xlink:role="http://www.xbrl.org/2003/role/documentation"
    xml:lang="en"
  >Revenue from contracts with customers excluding excise tax.</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_OtherNonCurrentFinancialAssetsExcludingLoansAdvancesAndOtherOperationalFinancialAssets"
    xlink:to="tot_OtherNonCurrentFinancialAssetsExcludingLoansAdvancesAndOtherOperationalFinancialAssets_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_OtherNonCurrentFinancialAssetsExcludingLoansAdvancesAndOtherOperationalFinancialAssets_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Other Non Current Financial Assets Excluding Loans Advances And Other Operational Financial Assets</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_InterestExpenseNetOfHedgeInEffectiveness"
    xlink:to="tot_InterestExpenseNetOfHedgeInEffectiveness_negatedLabel_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_InterestExpenseNetOfHedgeInEffectiveness_negatedLabel_en"
    xlink:role="http://www.xbrl.org/2009/role/negatedLabel"
    xml:lang="en"
  >Interest Expense Net Of Hedge In Effectiveness</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_NumberOfTreasurySharesSold"
    xlink:to="tot_NumberOfTreasurySharesSold_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_NumberOfTreasurySharesSold_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Number Of Treasury Shares Sold</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssets"
    xlink:to="tot_PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssets_documentation_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssets_documentation_en"
    xlink:role="http://www.xbrl.org/2003/role/documentation"
    xml:lang="en"
  >Purchase of property plant and equipment and intangible assets.</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_OtherNonCurrentFinancialAssetsExcludingLoansAdvancesAndOtherOperationalFinancialAssets"
    xlink:to="tot_OtherNonCurrentFinancialAssetsExcludingLoansAdvancesAndOtherOperationalFinancialAssets_documentation_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_OtherNonCurrentFinancialAssetsExcludingLoansAdvancesAndOtherOperationalFinancialAssets_documentation_en"
    xlink:role="http://www.xbrl.org/2003/role/documentation"
    xml:lang="en"
  >Other non current financial assets excluding loans advances and other operational financial assets.</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_PurchasesNetOfInventoryVariation"
    xlink:to="tot_PurchasesNetOfInventoryVariation_negatedLabel_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_PurchasesNetOfInventoryVariation_negatedLabel_en"
    xlink:role="http://www.xbrl.org/2009/role/negatedLabel"
    xml:lang="en"
  >Purchases Net Of Inventory Variation</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_AdjustmentsForProvisionsAndDeferredTaxExpense"
    xlink:to="tot_AdjustmentsForProvisionsAndDeferredTaxExpense_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_AdjustmentsForProvisionsAndDeferredTaxExpense_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Adjustments For Provisions And Deferred Tax Expense</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_DecreaseThroughPaymentsOnPerpetualSubordinatedNotes"
    xlink:to="tot_DecreaseThroughPaymentsOnPerpetualSubordinatedNotes_negatedLabel_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_DecreaseThroughPaymentsOnPerpetualSubordinatedNotes_negatedLabel_en"
    xlink:role="http://www.xbrl.org/2009/role/negatedLabel"
    xml:lang="en"
  >Decrease Through Payments On Perpetual Subordinated Notes</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossTangibleAssetsAndMineralInterests"
    xlink:to="tot_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossTangibleAssetsAndMineralInterests_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossTangibleAssetsAndMineralInterests_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Depreciation Amortisation And Impairment Loss Reversal Of Impairment Loss Recognised In Profit Or Loss Tangible Assets And Mineral Interests</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_InterestExpenseNetOfHedgeInEffectiveness"
    xlink:to="tot_InterestExpenseNetOfHedgeInEffectiveness_documentation_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_InterestExpenseNetOfHedgeInEffectiveness_documentation_en"
    xlink:role="http://www.xbrl.org/2003/role/documentation"
    xml:lang="en"
  >Interest Expense Net Of Hedge In effectiveness.</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_IncreaseDecreaseThroughIssuanceOfPerpetualSubordinatedNotesEquity"
    xlink:to="tot_IncreaseDecreaseThroughIssuanceOfPerpetualSubordinatedNotesEquity_documentation_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_IncreaseDecreaseThroughIssuanceOfPerpetualSubordinatedNotesEquity_documentation_en"
    xlink:role="http://www.xbrl.org/2003/role/documentation"
    xml:lang="en"
  >Increase decrease through issuance of perpetual subordinated notes equity.</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_IncreaseInNumberOfOrdinarySharesIssued"
    xlink:to="tot_IncreaseInNumberOfOrdinarySharesIssued_documentation_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_IncreaseInNumberOfOrdinarySharesIssued_documentation_en"
    xlink:role="http://www.xbrl.org/2003/role/documentation"
    xml:lang="en"
  >Increase in number of ordinary shares issued.</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_PaymentForCouponsOnSubordinatedNotes"
    xlink:to="tot_PaymentForCouponsOnSubordinatedNotes_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_PaymentForCouponsOnSubordinatedNotes_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Payment For Coupons On Subordinated Notes</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_CostOfDebtNet"
    xlink:to="tot_CostOfDebtNet_negatedTotalLabel_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_CostOfDebtNet_negatedTotalLabel_en"
    xlink:role="http://www.xbrl.org/2009/role/negatedTotalLabel"
    xml:lang="en"
  >Cost Of Debt Net</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ifrs-full_NumberOfSharesIssued"
    xlink:to="ifrs-full_NumberOfSharesIssued_periodEndLabel_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ifrs-full_NumberOfSharesIssued_periodEndLabel_en"
    xlink:role="http://www.xbrl.org/2003/role/periodEndLabel"
    xml:lang="en"
  >Number of shares issued</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="tot_ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssets"
    xlink:to="tot_ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssets_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="tot_ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssets_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Proceeds From Sales Of Property Plant And Equipment And Intangible Assets</label>
  </labelLink>
</linkbase>